### Class

# Devhelp Completion

#### Description

    class Devhelp.Completion : GObject.Object
    {
      DhCompletionPrivate* priv
    }

No description available.

#### Ancestors

- GObject

#### Constructors

###### dh_completion_new

No description available.

since: 3.28

#### Functions

###### dh_completion_aggregate_complete

The same as dh_completion_complete(), but aggregated for several `DhCompletion` objects.

since: 3.28

#### Instance methods

###### dh_completion_add_string

Adds a string to the `completion` object.

since: 3.28

###### dh_completion_complete

This function does the equivalent of: 1. Searches the data structure of `completion` to find all strings that have `prefix` as prefix. 2. From the list found at step 1, find the longest prefix that still matches all the strings in the list.

since: 3.28

###### dh_completion_sort

Sorts all the strings. It is required to call this function after adding strings with dh_completion_add_string().

since: 3.28

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct DevhelpCompletionClass {
      GObjectClass parent_class;
      gpointer padding;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.

`padding: gpointer`

  No description available.